--[[
	Global BaleCounter for FS17
	
	Author: Eagle355th
	Date: 11.4.2016
]]--

SpecializationUtil.registerSpecialization("BaleCounter", "BaleCounter", g_currentModDirectory.."BaleCounter.lua")

BaleCounter_Register = {};

function BaleCounter_Register:loadMap(name)
-- {
	if (self.firstRun == nil) then
	-- {
		self.firstRun = false;
		
		print("-- registering bale counter specialization");
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
		-- {
			if v ~= nil then
			-- {
				local allowInsertion = true;
				
				for i = 1, table.maxn(v.specializations) do
				-- {
					local vs = v.specializations[i];
				
					if ((vs ~= nil) and (vs == SpecializationUtil.getSpecialization("baler"))) then
					-- {
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
				
						if (point_location ~= nil) then
						-- {
							local _name = string.sub(v_name_string, 1, point_location-1);
				
							if (rawget(SpecializationUtil.specializations, string.format("%s.BaleCounter", _name)) ~= nil) then
							-- {
								allowInsertion = false;
							-- }
							end;
						-- }
						end;
						
						if allowInsertion then
						-- {
							print("adding bale counter to "..tostring(v.name));
							table.insert(v.specializations, SpecializationUtil.getSpecialization("BaleCounter"));
						-- }
						end;
					-- }
					end;
				-- }
				end;
			-- }
			end;
		-- }	
		end;
	-- }
	end;
-- }
end;

function BaleCounter_Register:deleteMap()
end;

function BaleCounter_Register:keyEvent(unicode, sym, modifier, isDown)
end;

function BaleCounter_Register:mouseEvent(posX, posY, isDown, isUp, button)
end;

function BaleCounter_Register:update(dt)
end;

function BaleCounter_Register:draw()
end;

addModEventListener(BaleCounter_Register);